#
# spec file for package crow-translate
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2019, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           crow-translate
Version:        2.5.1
Release:        bp154.1.92
Summary:        A Qt GUI for Google, Yandex and Bing translators
# QOnlineTranslator is licensed under GPL-3.0
# QHotkey is licensed under BSD-3-Clause
# QTaskbarControl is licensed under BSD-3-Clause
# SingleApplication is icensed under MIT
License:        GPL-3.0-only
Group:          Productivity/Networking/Web/Frontends
URL:            https://crow-translate.github.io/
#Git-Clone:     https://github.com/crow-translate/crow-translate.git
Source:         %{name}-%{version}.tar.xz
Patch0:         Fix-install-path.patch
BuildRequires:  extra-cmake-modules
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqt5-linguist-devel
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-qtmultimedia-devel
BuildRequires:  libqt5-qtx11extras-devel
BuildRequires:  update-desktop-files
Recommends:     gstreamer-plugins-good

%description
A simple and lightweight translator that allows to translate and speak
text using Google, Yandex and Bing written with Qt5.

%prep
%setup -q
%patch0 -p1

%build
%cmake \
    -DBUILD_SHARED_LIBS=OFF \
    -DBUILD_STATIC_LIBS=ON
%make_jobs

%install
%cmake_install
mv %{buildroot}/%{_datadir}/applications/io.crow_translate.CrowTranslate.desktop %{buildroot}/%{_datadir}/applications/%{name}.desktop
%suse_update_desktop_file -i %{name} Office Dictionary Network
# remove icons with unusual sizes
rm -rf %{buildroot}%{_datadir}/icons/hicolor/150x150
rm -rf %{buildroot}%{_datadir}/icons/hicolor/310x310
rm -rf %{buildroot}%{_datadir}/icons/hicolor/44x44

%files
%license COPYING
%doc README.md
%{_bindir}/crow
%dir %{_datadir}/crow-translate
%dir %{_datadir}/crow-translate/crow-translate
%{_datadir}/crow-translate/crow-translate/translations
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*

%changelog
* Tue Sep  1 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 2.5.1
  Added
  * Uyghur localization.
  * Google: Kinyarwanda, Oriya, Tatar, Turkmen and Uyghur languages.
  Changed
  * All GUI slots now available via D-Bus.
  * Fix saving selected languages.
- Update to version 2.5.0
  Added
  * Add the ability to display only language code on buttons.
  Changed
  * Fix crash at startup with specified languages for Qt < 5.14.
  * Fix Yandex SID parsing.
  * Fix paths in configuration (some settings will be lost).
* Sat Jul  4 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 2.4.1
  * Do not reset languages after reloading settings.
  * Fix duplicated default swap shortcut.
  * Improve global shortcuts error logging.
  * Linux: Fix .desktop file name.
* Tue Jun 30 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 2.4.0
  Added
  * --brief option to print only translations.
  * The ability to add, remove or reorder used languages.
  * Swap languages shortcut.
  Changed
  * Use https instead of http for all engines.
  * --audio-only option now only plays text.
  * Automatic translation disabled by default.
- Add patch:
  * Fix-install-path.patch
- Switch from qmake to cmake
* Sun May 10 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 2.3.2
  Added
  * The ability to exit the application via D-Bus.
  Changed
  * Return exit code 1 on translation error in CLI.
  * Fix showing the main window if it was minimized.
  * Bing: Fix language auto detection.
* Sun Jan 19 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 2.3.1
  Added
  * Malay localization.
  Changed
  * Fix disabling transliteration.
  * Minor performance improvements.
  * Fix Malay language flag icon.
  * Force disable embedded global shortcuts on Wayland.
* Sat Dec 21 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 2.3.0
  Added
  * The ability to disable embedded global shortcuts.
  * D-Bus API.
  * KDE shortcuts support.
  * The ability to simplify source text in query.
  Changed
  * Fix crash on Wayland (still no support for hotkeys and
    selection).
  * Use a simpler and more compatible way to show notifications.
  * Stop speaking source text on change.
  * Google: Fix parsing several sentences in some cases.
  * Google: Fix disabling examples.
  Removed
  * The ability to specify buttons style as useless.
* Sun Nov 24 2019 Martin Hauke <mardnh@gmx.de>
- Initial package, version 2.2.3
